Bug 1003101 - virt-manager: concurrent save or restore confuses progress meter
virt-manager: concurrent save or restore confuses progress meter
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: virt-manager (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Cole Robinson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-30 15:19 EDT by Florian Weimer
Modified: 2013-10-03 21:56 EDT (History)
5 users (show)

See Also:
Fixed In Version: virt-manager-0.10.0-3.gita2e52067.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-03 21:56:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Florian Weimer 2013-08-30 15:19:14 EDT
Description of problem:

If I use the save or restore feature on multiple VMs in parallel, the action succeeds, but the window with 

Version-Release number of selected component (if applicable):

virt-manager-0.10.0-1.fc19.noarch
libvirt-python-1.0.5.5-1.fc19.x86_64

How reproducible:

Always.  At least it seems that way.


Steps to Reproduce:
1. Save the state of a first running VM.
2. Save the state of a second running VM.

Actual results:

Progress indicator window gets stuck and does not close when the operation is complete.

Expected results:

Progress indicator window closes when the operation is complete.
Comment 1 Cole Robinson 2013-08-31 12:25:24 EDT
Yeah, known issue. We use nested gtk main loops in ways they are not supposed to be used. I'll try to fix this for F20 but it'll be pretty invasive so not likely for F19 without a rebase
Comment 2 Cole Robinson 2013-09-06 21:34:10 EDT
Fixed upstream now, but moving this to F20 as it's unlikely to be fixed in F19.
Comment 3 Fedora Update System 2013-09-24 11:15:15 EDT
virt-manager-0.10.0-3.gita2e52067.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/virt-manager-0.10.0-3.gita2e52067.fc20
Comment 4 Fedora Update System 2013-09-26 02:13:33 EDT
Package virt-manager-0.10.0-3.gita2e52067.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing virt-manager-0.10.0-3.gita2e52067.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-17628/virt-manager-0.10.0-3.gita2e52067.fc20
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-10-03 21:56:42 EDT
virt-manager-0.10.0-3.gita2e52067.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.